Create ModelDeployment

View as Markdown

Create a new ModelDeployment (version 1).

Path parameters

workspacestringRequired

Request

This endpoint expects an object.
namestringRequiredformat: "^[\w\-.]+$"<=255 characters

Name of the deployment. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

configstringRequired<=255 characters
Reference to the ModelDeploymentConfig name
projectstringOptionalformat: "^[\w\-./]+$"<=255 characters
The URN of the project associated with this deployment
config_versionintegerOptional
Reference to a specific ModelDeploymentConfig version. If not specified, uses latest.

Response

Create a new model deployment
namestringformat: "^[\w\-.]+$"<=255 characters

Name of the entity. Name/workspace combo must be unique across all entities. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

workspacestringformat: "^[\w\-.]+$"<=255 characters

The workspace of the entity. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

created_atdatetime
The timestamp of model entity creation
updated_atdatetime
The timestamp of the last model entity update
entity_versioninteger
Version of this deployment. Automatically managed.
configstring<=255 characters
Reference to the ModelDeploymentConfig name
config_versioninteger
Reference to the specific ModelDeploymentConfig version
idstring
Unique identifier for the deployment
projectstringformat: "^[\w\-./]+$"<=255 characters
The URN of the project associated with this entity.
statusenumDefaults to UNKNOWN
Current status of the deployment, populated by models controller
status_messagestring<=1000 charactersDefaults to
Detailed status message, populated by models controller
status_historylist of objects

History of status changes, ordered chronologically (oldest first)

model_provider_idstring<=255 characters

Optional reference to the auto-created ModelProvider workspace/name (format: workspace/name)

auth_contextobject
Auth context captured at deployment creation.

Errors

422
Unprocessable Entity Error